*:after,
*::before,
* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
}
:root {
  --yellow-color: hsl(47, 88%, 63%);
  --white-color: hsl(0, 0%, 100%);
  --gray-color: hsl(0, 0%, 42%);
  --darkgray-color: hsl(0, 0%, 7%);
}
body {
  height: 100vh;
  background-color: var(--yellow-color);
  font-family: "Figtree", "sans-serif";
  padding: 2rem;
}
main {
  height: 100%;
  display: grid;
  grid-template-areas:
    "card"
    "footer";
  gap: 2.3rem;
}
article {
  grid-area: card;
  background-color: var(--white-color);
  width: 30%;
  max-width: 450px;
  align-self: center;
  justify-self: center;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  border-radius: 10px;
  box-shadow: 10px 10px 1px black;
  gap: 1.4rem;
}
.article-image {
  width: 100%;
  border-radius: 10px;
}
.learn {
  background-color: var(--yellow-color);
  width: fit-content;
  padding: 10px 14px;
  border-radius: 6px;
  font-weight: 800;
}
p:has(time) {
  font-weight: 500;
}
h2 {
  font-weight: 800;
}
h2 + p {
  color: var(--gray-color);
  line-height: 1.5;
}
.image-div {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}
.image-div p {
  font-weight: 700;
}
.avatar-image {
  transform: scale(0.8);
}
footer {
  grid-area: footer;
  align-self: end;
}
@media (min-width: 750px) and (max-width: 1200px) {
  article {
    width: 90%;
  }
}
@media (max-width: 749px) {
  body {
    padding: 10px;
  }
  article {
    width: 90%;
  }
}
